# slapns | pythonic package setup
from setuptools import setup, find_packages

# read file content
def readfile(path):
    with open(path, 'r') as f:
        return f.read()

setup(
    name        = 'slapns',
    version     = '0.0.0.dev1',
    description = 'SlapOS vs Namespaces playground',
    url         = 'https://lab.nexedi.com/kirr/slapns',
    license     = 'GPLv3+ with wide exception for Open-Source',
    author      = 'Nexedians',
    author_email= 'kirr@nexedi.com',

    keywords    = 'SlapOS user-namespaces',

    packages    = find_packages(),

    install_requires = ['python-unshare'],

    entry_points= {'console_scripts': [
                        'slapns = slapns:main',
                      ]
                  },
    classifiers = [_.strip() for _ in """\
        Development Status :: 3 - Alpha
        Intended Audience :: Developers
        Programming Language :: Python :: 2
        Programming Language :: Python :: 3\
    """.splitlines()]
)
